curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "1005012791281455",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews"
payload = {
"product": "1005012791281455",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '1005012791281455', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "aliexpress_product_reviews",
"product": "1005012791281455",
"max_items": 2,
"language": null,
"currency": null,
"filter": "all",
"translate": true,
"human": "# AliExpress product reviews\n\n- **Product:** 1005012791281455\n- **Max items:** 2\n- **Records returned:** 0\n- **Proxy traffic:** 5.30 MB\n\nNo reviews were returned for this product.",
"machine": {
"total_items": 0,
"reviews": [],
"proxy_traffic_bytes": 5561418,
"debug": {
"title": "EPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311 12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming Office - AliExpress 7",
"url": "https://www.aliexpress.us/item/3256812604966703.html?gatewayAdapt=4itemAdapt",
"snippet": "AliExpress\nDownload the AliExpress app\nOther/EN/\nUSD\nWelcome\nSign in / Register\n0\nCart\nEPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311 12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming Office\n6 sold\n$48.38 \nExtra 3% off with coins\nUp to 4 x $12.10 with no interest\nColor: Pink\nAI overview of item\n\nDisclaimer: This content is generated by AI and does not represent the merchants opinion. "
}
},
"total_points": 0
}AliExpress product reviews
Get buyer reviews for an AliExpress product by ID: rating, text, and buyer details. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Product ID or URL. e.g. 1005012791281455
Max items (up to 250)
1 <= x <= 250Content language. Options: ar_MA = ar_MA, de_DE = de_DE, en_US = en_US, es_ES = es_ES, fr_FR = fr_FR, in_ID = in_ID, it_IT = it_IT, iw_IL = iw_IL, ja_JP = ja_JP, ko_KR = ko_KR, nl_NL = nl_NL, pl_PL = pl_PL, pt_BR = pt_BR, ru_RU = ru_RU, th_TH = th_TH, tr_TR = tr_TR, vi_VN = vi_VN
ar_MA, de_DE, en_US, es_ES, fr_FR, in_ID, it_IT, iw_IL, ja_JP, ko_KR, nl_NL, pl_PL, pt_BR, ru_RU, th_TH, tr_TR, vi_VN Currency. Options: USD = USD, EUR = EUR, GBP = GBP, CAD = CAD, AUD = AUD, RUB = RUB, BRL = BRL, CLP = CLP, JPY = JPY, KRW = KRW, CHF = CHF, SEK = SEK, PLN = PLN, ILS = ILS, NOK = NOK, DKK = DKK, NZD = NZD, MXN = MXN, COP = COP, TRY = TRY, THB = THB, SGD = SGD, MYR = MYR, PHP = PHP, IDR = IDR, INR = INR, VND = VND, HKD = HKD, TWD = TWD, AED = AED, SAR = SAR, CZK = CZK, HUF = HUF, RON = RON, BGN = BGN, UAH = UAH, KZT = KZT, ARS = ARS, EGP = EGP, ZAR = ZAR, CNY = CNY, PEN = PEN
USD, EUR, GBP, CAD, AUD, RUB, BRL, CLP, JPY, KRW, CHF, SEK, PLN, ILS, NOK, DKK, NZD, MXN, COP, TRY, THB, SGD, MYR, PHP, IDR, INR, VND, HKD, TWD, AED, SAR, CZK, HUF, RON, BGN, UAH, KZT, ARS, EGP, ZAR, CNY, PEN Review filter. Options: image = With images, additional = Additional feedback, local = Local reviews
image, additional, local Translate to English
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.